!mod$ v1 sum:e2287f6c31b9b0fb
module __fortran_builtins
use __fortran_type_info,only:__builtin_c_ptr
use __fortran_type_info,only:__builtin_c_funptr
intrinsic::__builtin_c_f_pointer
intrinsic::sizeof
intrinsic::selected_int_kind
private::selected_int_kind
integer(4),parameter,private::int64=8_4
type::__builtin_event_type
integer(8)::__count
end type
type::__builtin_lock_type
integer(8)::__count
end type
type::__builtin_team_type
integer(8)::__id
end type
procedure(type(__builtin_c_ptr))::__builtin_c_loc
intrinsic::__builtin_ieee_is_nan
intrinsic::__builtin_ieee_selected_real_kind
intrinsic::__builtin_ieee_support_datatype
intrinsic::__builtin_ieee_support_denormal
intrinsic::__builtin_ieee_support_divide
intrinsic::__builtin_ieee_support_inf
intrinsic::__builtin_ieee_support_io
intrinsic::__builtin_ieee_support_nan
intrinsic::__builtin_ieee_support_sqrt
intrinsic::__builtin_ieee_support_standard
intrinsic::__builtin_ieee_support_subnormal
intrinsic::__builtin_ieee_support_underflow_control
end
